Runtime

## org.eclipse.gmf.runtime.emf.ui.properties.descriptors
Class EObjectContainmentListPropertyValue

    java.lang.Object
      org.eclipse.gmf.runtime.emf.ui.properties.descriptors.EObjectContainmentListPropertyValue

All Implemented Interfaces:
  IPropertySource

public class EObjectContainmentListPropertyValue
extends java.lang.Object
implements IPropertySource

A property source object that wraps around a containment list, presenting each item on the list as if it was a property.

Field Summary
`protected java.util.Map` `descriptors`
`protected ILabelProvider` `labelProvider`
`protected static PropertiesServiceAdapterFactory` `propertiesProvider`
`protected EObjectContainmentEList` `target`

Constructor Summary
`EObjectContainmentListPropertyValue(EObjectContainmentEList target)` Create an instance of the `EObjectContainmentListPropertyValue`
`EObjectContainmentListPropertyValue(EObjectContainmentEList target, ILabelProvider labelProvider)` Create an instance of the `EObjectContainmentListPropertyValue`

Method Summary
`protected void` `createDescriptor(EObject object)` Create and cache property descriptor for the object on the list
`java.lang.Object` `getEditableValue()`
`ILabelProvider` `getLabelProvider()`
`IPropertyDescriptor[]` `getPropertyDescriptors()`
`java.lang.Object` `getPropertyValue(java.lang.Object id)`
`EObjectContainmentEList` `getTarget()`
`boolean` `isPropertySet(java.lang.Object id)`
`void` `resetPropertyValue(java.lang.Object id)`
`void` `setLabelProvider(ILabelProvider labelProvider)`
`void` `setPropertyValue(java.lang.Object id, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertiesProvider

    protected static final PropertiesServiceAdapterFactory propertiesProvider

### target

    protected EObjectContainmentEList target

### descriptors

    protected java.util.Map descriptors

### labelProvider

    protected ILabelProvider labelProvider

Constructor Detail

### EObjectContainmentListPropertyValue

    public EObjectContainmentListPropertyValue(EObjectContainmentEList target,
                                               ILabelProvider labelProvider)

  Create an instance of the `EObjectContainmentListPropertyValue`

Parameters:
  `target` - - contaiment list
  `labelProvider` - - label provider

### EObjectContainmentListPropertyValue

    public EObjectContainmentListPropertyValue(EObjectContainmentEList target)

  Create an instance of the `EObjectContainmentListPropertyValue`

Parameters:
  `target` - - contaiment list

Method Detail

### createDescriptor

    protected void createDescriptor(EObject object)

  Create and cache property descriptor for the object on the list

  Parameters:
    `object` - - object on the containment list

### getEditableValue

    public java.lang.Object getEditableValue()

  Specified by:
    `getEditableValue` in interface `IPropertySource`

### getPropertyDescriptors

    public IPropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `IPropertySource`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Object id)

  Specified by:
    `getPropertyValue` in interface `IPropertySource`

### isPropertySet

    public boolean isPropertySet(java.lang.Object id)

  Specified by:
    `isPropertySet` in interface `IPropertySource`

### resetPropertyValue

    public void resetPropertyValue(java.lang.Object id)

  Specified by:
    `resetPropertyValue` in interface `IPropertySource`

### setPropertyValue

    public void setPropertyValue(java.lang.Object id,
                                 java.lang.Object value)

  Specified by:
    `setPropertyValue` in interface `IPropertySource`

### getLabelProvider

    public ILabelProvider getLabelProvider()

  Returns:
    Returns the labelProvider.

### setLabelProvider

    public void setLabelProvider(ILabelProvider labelProvider)

  Parameters:
    `labelProvider` - The labelProvider to set.

### getTarget

    public EObjectContainmentEList getTarget()

  Returns:
    Returns the target.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.